Subject: Hooks hasn't arrived with my amazon order. only the curtain has come
From: "Divakar Hebbar" <[email-masked]>
To: [email-masked]
Date: Mon, 16 Dec 2024 05:25:08 +0000

I recently received my order (Order# 112-3449439-5877052), but the hooks for the shower curtain and liner were not included in the package. I couldn’t find a way to request the missing parts directly through Amazon. Could you please assist me in resolving this issue and ensure the missing hooks are sent?

I haven’t contacted Amazon regarding this yet, as I was hoping this email would help address the problem.

Thank you,

Divakar

Sent via Superhuman ( https://sprh.mn/?vip=[email-masked] )